Get Template
curl --request GET \
--url https://app.lettr.com/api/templates/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/templates/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/templates/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lettr.com/api/templates/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.lettr.com/api/templates/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.lettr.com/api/templates/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lettr.com/api/templates/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "Template retrieved successfully.",
"data": {
"id": 1,
"name": "Welcome Email",
"slug": "welcome-email",
"project_id": 5,
"folder_id": 10,
"purpose": "transactional",
"preparation_status": "ready",
"active_version": 2,
"versions_count": 3,
"created_at": "2025-01-15T10:00:00+00:00",
"updated_at": "2025-01-20T14:30:00+00:00"
}
}Templates
Get Template
Retrieve a single email template by its slug. If project_id is not provided, the template will be looked up in the team’s default project.
GET
/
templates
/
{slug}
Get Template
curl --request GET \
--url https://app.lettr.com/api/templates/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/templates/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/templates/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.lettr.com/api/templates/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.lettr.com/api/templates/{slug}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.lettr.com/api/templates/{slug}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.lettr.com/api/templates/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"message": "Template retrieved successfully.",
"data": {
"id": 1,
"name": "Welcome Email",
"slug": "welcome-email",
"project_id": 5,
"folder_id": 10,
"purpose": "transactional",
"preparation_status": "ready",
"active_version": 2,
"versions_count": 3,
"created_at": "2025-01-15T10:00:00+00:00",
"updated_at": "2025-01-20T14:30:00+00:00"
}
}Retrieves the full details of a template by its slug, including the active version’s HTML or JSON content, version count, and merge tag information.
Use the
project_id query parameter if you have templates with the same slug across different projects.Authorizations
API key for authentication
Path Parameters
The template slug (URL-friendly identifier)
Example:
"welcome-email"
Query Parameters
Project ID to retrieve the template from. If not provided, uses the team's default project.
Required range:
x >= 1Was this page helpful?